import { FastifyInstance } from 'fastify';
import * as controller from './config.controller';

async function configRoutes(fastify: FastifyInstance) {
    fastify.get('/config', controller.getFullConfig);
    fastify.get('/config/:section', controller.getConfigSection);
    fastify.post('/config', controller.updateConfig);
    fastify.post('/config/:section', controller.updateConfigSection);
}

export default configRoutes;